%define rname	chan_capi
%define name	asterisk-%{rname}
%define version	0.3.5
%define release	2mdk

Summary:	Common ISDN API 2.0 implementation for Asterisk
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.junghanns.net/asterisk/
Group:		System/Servers
Source0:	%{rname}.%{version}.tar.bz2
Patch0:		chan_capi-0.3.5-mdk.diff.bz2
BuildRequires:	isdn4k-utils-devel
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A channel driver for the Asterisk software telephony using the
Common ISDN API 2.0. Provides core ISDN functionality which is not
provided by the native Asterisk isdn4linux channel.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p0 -b .mdk

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

%build

%make \
    RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 capi.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0755 chan_capi.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/asterisk/capi.conf
%attr(0755,root,root) %{_libdir}/asterisk/chan_capi.so

%changelog
* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-2mdk
- built for cooker

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-1mdk
- initial mandrake package
